#include <pololu/orangutan.h>
#include "i2cmaster.h"

#define ACC_ADDRESS_SA0_A_HIGH  0x32

int main(void)
{
	i2c_init();
	delay_ms(10);

	// Read the value of CTRL_REG1_A, which should be 7 (0b111) by default.
	i2c_start_wait(ACC_ADDRESS_SA0_A_HIGH + I2C_WRITE);
	i2c_write(0x20);
	i2c_rep_start(ACC_ADDRESS_SA0_A_HIGH + I2C_READ);
	uint8_t reg = i2c_readNak();
	i2c_stop();
	
	while(1)
	{
		red_led(1);
		delay_ms(200);
		red_led(0);
		delay_ms(200);
		if (reg == 0b111)
		{
			delay_ms(800);
		}
	}
}